Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Resource/Index.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Resource/Index.cshtml	(revision 13754)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Resource/Index.cshtml	(revision 13758)
@@ -13,9 +13,10 @@
              data-node-id="Id"
              data-node-label="Name"
-             data-node-children="children">
+             data-node-children="children"
+             ng-class="">
         </div>
     </div>
     <div ng-if="treeview.currentNode" class="col-sm-8 panel  panel-primary">
-        <div  class="row panel-heading" >
+        <div class="row panel-heading">
             <h3>{{treeview.currentNode.Name}} <span ng-if="treeview.currentNode.IsDisposable === undefined"> - Client group</span></h3>
             <table class="table">
@@ -23,7 +24,8 @@
                     <tr>
                         <td>Heartbeat</td>
-                        <td>Every {{treeview.currentNode.HbInterval}} sec
-                         <span ng-if="treeview.currentNode.IsDisposable !== undefined">
-                              - Last beat {{treeview.currentNode.LastHeartbeat | date:'HH:mm dd/MM/yyyy' }}
+                        <td>
+                            Every {{treeview.currentNode.HbInterval}} sec
+                            <span ng-if="treeview.currentNode.IsDisposable !== undefined">
+                                - Last beat {{treeview.currentNode.LastHeartbeat | date:'HH:mm dd/MM/yyyy' }}
                             </span>
                         </td>
@@ -46,6 +48,6 @@
                         <td>Cores (free/total)</td>
                         <td>{{treeview.currentNode.FreeCores}} | {{treeview.currentNode.Cores}}</td>
-                        
-                        
+
+
                     </tr>
                     <tr>
@@ -53,17 +55,76 @@
                         <td>{{treeview.currentNode.FreeMemory}} MB | {{treeview.currentNode.Memory}} MB</td>
                     </tr>
-  
+
                 </tbody>
             </table>
         </div>
         <div class="panel-body row" style="text-align:center">
-            <i ng-if="currentcal.length  === 0" class="fa fa-cog fa-5x fa-spin" ></i>
-            <div ng-if="currentcal.length != 0" 
-                 ui-calendar="uiConfig.calendar" 
-                 id="resourcecalendar" 
-                 class="span8 calendar" 
-                 ng-model="currentcal.down"></div> 
+            <div class="row" style="padding-bottom:30px;">
+                <button class="btn btn-success" ng-click="saveCurrentCalendar()">Save current changes</button>
+                <button class="btn btn-success" ng-click="saveAllCalendars()">Save all changes</button>
+                <button class="btn btn-warning" ng-click="clearCurrentCalendar()">Clear current changes</button>
+                <button class="btn btn-warning" ng-click="clearAllCalendars()">Clear all changes</button>
+            </div>
+            <i ng-if="currentcal.length  === 0" class="fa fa-cog fa-5x fa-spin"></i>
+            <div ng-if="currentcal.length != 0"
+                 ui-calendar="uiConfig.calendar"
+                 id="resourcecalendar"
+                 style="font-size:medium"
+                 class="span8 calendar"
+                 ng-model="currentcal.down"></div>
+            <table ng-if="selectedEventId != -1" class="table">
+                <tr>
+                    <th colspan="2"> Selected event</th>
+
+                </tr>
+                <tr>
+                    <td>Time</td>
+                    <td ng-if="!currentcal.down[0][selectedEventId].allDay">
+                        {{currentcal.down[0][selectedEventId].start | date : 'HH:mm dd/MM/yy' : 'utc'}}
+                        <span ng-if="currentcal.down[0][selectedEventId].end">
+                            to {{currentcal.down[0][selectedEventId].end | date : 'HH:mm dd/MM/yy': 'utc'}}
+                        </span>
+                    </td>
+                    <td ng-if="currentcal.down[0][selectedEventId].allDay">
+                        {{currentcal.down[0][selectedEventId].start | date : 'dd/MM/yy' : 'utc'}}
+                        <span ng-if="currentcal.down[0][selectedEventId].end">
+                            to {{currentcal.down[0][selectedEventId].end | date : 'dd/MM/yy': 'utc'}}
+                        </span>
+                    </td>
+                </tr>
+                <tr>
+                    <td>Status</td>
+                    <td>
+                        <select class="content-select" ng-model="currentcal.down[0][selectedEventId].title" ng-change="setChanged()">
+                            <option value="Unavailable">Unavailable</option>
+                            <option value="Shutdown">Shutdown command</option>
+                        </select>
+                    </td>
+                </tr>
+                <tr>
+                    <td></td>
+                    <td>
+                        <button class="btn btn-danger"
+                                ng-click="remove(selectedEventId)">
+                            <i class="fa fa-trash-o"></i>
+                            Delete
+                        </button>
+                    </td>
+                </tr>
+            </table>
+            <table ng-if="selectedEventId === -1" class="table">
+            <tr>
+                <th colspan="2"> Select an event to show information</th>
+
+            </tr>
+            <tr>
+                <td>Time / Select an event</td>
+                   </tr>
+            <tr>
+                <td>Status / Select an event</td>
+            </tr>
+            </table>
         </div>
-        
+
         <div class="row panel-footer">
 
